# $Revision: 1.12 $, $Date: 2008/11/10 11:03:01 $
#
%define		rname		libdbus-1-qt3
#
Summary:	Qt-based library for using D-BUS
Summary(pl.UTF-8):	Biblioteka do używania D-BUS oparta o Qt
Name:		dbus-qt3
Version:	0.8.1
Release:	2
# AFL v2.1 or GPL v2+, but Qt license enforces GPL
License:	GPL v2+
Group:		Libraries
Source0:	http://people.freedesktop.org/~krake/dbus-1-qt3/%{rname}-%{version}.tar.bz2
# Source0-md5:	6308f50cfc715919c677fc10129421a0
Patch0:		%{name}-configure.patch
Patch1:		kde-ac260-lt.patch
URL:		http://www.freedesktop.org/Software/DBusBindings
BuildRequires:	autoconf >= 2.53
BuildRequires:	automake >= 1:1.6.1
BuildRequires:	dbus-devel >= 0.91
BuildRequires:	qt-devel >= 6:3.1.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
D-BUS add-on library to integrate the standard D-BUS library with the
Qt thread abstraction and main loop.

%description -l pl.UTF-8
Dodatkowa biblioteka D-BUS do integracji standardowej biblioteki D-BUS
z abstrakcją wątków i główną pętlą Qt.

%package devel
Summary:	Header files for Qt-based library for using D-BUS
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki do używania D-BUS opartej o Qt
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	dbus-devel >= 0.91

%description devel
Header files for Qt-based library for using D-BUS.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki do używania D-BUS opartej o Qt.

%package static
Summary:	Static Qt-based library for using D-BUS
Summary(pl.UTF-8):	Statyczna biblioteka do używania D-BUS oparta o Qt
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Qt-based library for using D-BUS.

%description static -l pl.UTF-8
Statyczna biblioteka do używania D-BUS oparta o Qt.

%prep
%setup -qn %{rname}-%{version}
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.* admin
%{__make} -f admin/Makefile.common cvs
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO
%attr(755,root,root) %{_libdir}/libdbus-1-qt3.so.*.*.*
%ghost %attr(755,root,root) %{_libdir}/libdbus-1-qt3.so.?

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libdbus-1-qt3.so
%{_libdir}/libdbus-1-qt3.la
%{_includedir}/dbus-1.0/qt3
%{_pkgconfigdir}/dbus-1-qt3.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libdbus-1-qt3.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dbus-qt3.spec,v $
Revision 1.12  2008/11/10 11:03:01  megabajt
- release 2

Revision 1.11  2008/01/26 17:05:20  arvenil
- up to 0.8.1

Revision 1.10  2007-05-26 16:04:19  qboosh
- updated to 0.7
- dropped kde-ac260 patch, added kde-ac260-lt
- added admin patch with a lot of huge missing files to allow rebuild ac/am

Revision 1.9  2007/05/22 15:51:35  qboosh
- more specific URL
- updated Source0 URL (note: only ver. 0.6 and 0.7 there)

Revision 1.8  2007/02/12 22:09:09  glen
- tabs in preamble

Revision 1.7  2007/02/12 01:06:42  baggins
- converted to UTF-8

Revision 1.6  2006/08/21 07:34:32  qboosh
- doesn't obsolete old dbus-qt (different API - dbus-qt3 is a backport of qt4 binding)

Revision 1.5  2006/08/20 11:05:41  qboosh
- added kde-ac250 patch, proper kde-specific ac/am rebuild
- added doc
- when linked with GPL Qt License can be only GPL

Revision 1.4  2006/08/19 08:17:01  pluto
- kded media manager crashes, qt-mainloop patch dropped release 2.2.

Revision 1.3  2006/08/18 14:10:30  pluto
- experimental port of qt-mainloop integrator, release 2.1.

Revision 1.2  2006/08/17 18:36:45  freetz
- added configure patch (build fix), rel.2

Revision 1.1  2006/08/17 16:54:48  freetz
- based on dbus.spec
